import request from '@/request';
import { DataSourceConfigVO } from '@/models';

const BASE_URL = '/admin-api/infra/data-source-config';

export default {

    // 查询数据源配置列表
    getDataSourceConfigListApi: () => {
        return request.get<DataSourceConfigVO[]>(`${BASE_URL}/list`)
    },

    // 查询数据源配置详情
    getDataSourceConfigApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`)
    },

    // 新增数据源配置
    createDataSourceConfigApi: (data: DataSourceConfigVO) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改数据源配置
    updateDataSourceConfigApi: (data: DataSourceConfigVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除数据源配置
    deleteDataSourceConfigApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },
};


