import request from '@/request';
import { 
    OperateLogVO, 
    OperateLogPageReqVO, 
    LoginLogVO, 
    LoginLogReqVO, 
    PageData 
} from '@/models';

const BASE_OPERATE_URL = '/admin-api/system/operate-log';
const BASE_LOGIN_URL = '/admin-api/system/login-log';

export default {
    // 查询操作日志列表
    getOperateLogPageApi: (params: OperateLogPageReqVO) => {
        return request.get<PageData<OperateLogVO>>(`${BASE_OPERATE_URL}/page`, { params })
    },

    // 导出操作日志
    exportOperateLogApi: (params: OperateLogPageReqVO) => {
        return request.get<PageData<OperateLogVO>>(`${BASE_OPERATE_URL}/export`, { params, responseType: 'blob' })
    },

    // 查询登录日志列表
    getLoginLogPageApi: (params: LoginLogReqVO) => {
        return request.get<PageData<LoginLogVO>>(`${BASE_LOGIN_URL}/page`, { params })
    },
    // 导出登录日志
    exportLoginLogApi: (params: LoginLogReqVO) => {
        return request.get(`${BASE_LOGIN_URL}/export`, { params, responseType: 'blob' })
    }
};
