import request from '@/request';
import { DictDataVO, DictDataPageReqVO, DictDataExportReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/system/dict-data';

export default {

    // 查询字典数据（精简)列表
    listSimpleDictDataApi: () => {
        return request.get(`${BASE_URL}/list-all-simple`)
    },

    // 查询字典数据列表
    getDictDataPageApi: (params: DictDataPageReqVO) => {
        return request.get<PageData<DictDataVO>>(`${BASE_URL}/page`, { params })
    },

    // 查询字典数据详情
    getDictDataApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`)
    },

    // 新增字典数据
    createDictDataApi: (data: DictDataVO) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改字典数据
    updateDictDataApi: (data: DictDataVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除字典数据
    deleteDictDataApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },
    // 导出字典类型数据
    exportDictDataApi: (params: DictDataExportReqVO) => {
        return request.get(`${BASE_URL}/export`, { params, responseType: 'blob' })
    }
};
